<template>
  <j-modal
    :title="title"
    :width="700"
    :visible="visible"
    :mask-closable="false"
    cancel-text="关闭"
    @close="close"
  >
    <a-form-model ref="form" :label-col="labelCol" :wrapper-col="wrapperCol" :rules="validatorRules" :model="model">
      <a-form-model-item label="版本号" prop="apkVersion">
        <a-input v-model="model.apkVersion" />
      </a-form-model-item>
      <a-form-model-item label="版本描述" prop="description">
        <a-input v-model="model.description" />
      </a-form-model-item>
      <a-form-model-item label="安装包" prop="url">
        <j-image-upload v-model="model.url" :is-multiple="false" biz-path="scott/pic" />
      </a-form-model-item>
    </a-form-model>
  </j-modal>
</template>
<script>
import { httpAction } from '@/api/request'
import JModal from '@/components/JModal'
import JImageUpload from '@/components/JImageUpload'
export default {
  name: 'CheckAndEditModel',
  components: {
    JModal,
    JImageUpload
  },
  data() {
    return {
      labelCol: { span: 4 },
      wrapperCol: { span: 19 },
      dataSource: [],
      title: '',
      visible: false,
      isCheck: false,
      model: {},
      validatorRules: {
        apkVersion: [{ required: true, message: '请输入' }],
        description: [{ required: true, message: '请输入' }],
        url: [{ required: true, message: '请上传' }]
      },
      url: {
        add: '/app/upgrade/add',
        edit: '/app/upgrade/update'
      }
    }
  },
  created() {
  },
  methods: {
    add() {
      this.model = {}
      this.visible = true
    },
    edit(record) {
      this.model = Object.assign({}, record)
      this.visible = true
    },
    close(isSubmit) {
      if (isSubmit) {
        this.checkData()
      } else {
        this.visible = false
      }
    },
    checkData() {
      this.$refs.form.validate(valid => {
        if (valid) {
          this.saveData()
        } else {
          return false
        }
      })
    },
    saveData() {
      let url, type
      if (!this.model.id) {
        url = this.url.add
        type = 'post'
      } else {
        url = this.url.edit
        type = 'put'
      }
      httpAction(url, this.model, type).then((res) => {
        if (res.code === 200) {
          this.$message.success(res.msg)
          this.$emit('ok')
          this.visible = false
        } else {
          console.log(res)
        }
      })
    }
  }
}
</script>
